Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1275363 - Retirement Date not shown on Orchestration Stack summary page
Summary: Retirement Date not shown on Orchestration Stack summary page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.0
Assignee: Libor Pichler
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-26 16:43 UTC by Nandini Chandra
Modified: 2015-12-08 13:39 UTC (History)
7 users (show)

Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 13:39:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Nandini Chandra 2015-10-26 16:43:51 UTC
Description of problem:
-----------------------


Version-Release number of selected component (if applicable):
-------------------------------
5.5.0.7


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
1.Navigate to the summary page of an orchestration stack.
2.Click 'Lifecycle',click 'Set retirement date'.
3.Set a retirement date.


Actual results:
---------------
Retirement Date is not shown on Orchestration Stack  summary page.


Expected results:
-----------------
The Retirement Date should be shown on the summary page of an Orchestration Stack.


Additional info:
----------------

Comment 3 CFME Bot 2015-10-30 21:29:03 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/5e145a8c1eb86f8f05fe0defbfad27bcbad4289f

commit 5e145a8c1eb86f8f05fe0defbfad27bcbad4289f
Author:     Libor Pichler <lpichler@redhat.com>
AuthorDate: Fri Oct 30 15:09:47 2015 +0100
Commit:     Libor Pichler <lpichler@redhat.com>
CommitDate: Fri Oct 30 17:01:44 2015 +0100

    Add group lifecycle and retirement date on orchestration stak summary page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275363

 app/helpers/orchestration_stack_helper/textual_summary.rb | 8 ++++++++
 app/views/orchestration_stack/_main.html.haml             | 1 +
 2 files changed, 9 insertions(+)

Comment 4 CFME Bot 2015-11-06 20:31:33 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=7b2c13b719bef8c47759f36633e508968af81d5a

commit 7b2c13b719bef8c47759f36633e508968af81d5a
Author:     Libor Pichler <lpichler@redhat.com>
AuthorDate: Fri Oct 30 15:09:47 2015 +0100
Commit:     Libor Pichler <lpichler@redhat.com>
CommitDate: Tue Nov 3 10:14:07 2015 +0100

    Add group lifecycle and retirement date on orchestration stak summary page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275363
    (cherry picked from commit 5e145a8c1eb86f8f05fe0defbfad27bcbad4289f)

 app/helpers/orchestration_stack_helper/textual_summary.rb | 8 ++++++++
 app/views/orchestration_stack/_main.html.haml             | 1 +
 2 files changed, 9 insertions(+)

Comment 5 CFME Bot 2015-11-06 20:31:39 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=002c40f6c95478fcf038a51399e3f97fb8c9d23a

commit 002c40f6c95478fcf038a51399e3f97fb8c9d23a
Merge: 961afe7 7b2c13b
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Nov 6 15:19:09 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Nov 6 15:19:09 2015 -0500

    Merge branch 'bz_1275363' into '5.5.z'
    
    Add group lifecycle and retirement date on orchestration stack summary
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275363
    https://github.com/ManageIQ/manageiq/pull/5198
    only cherry picked
    
    
    See merge request !330

 .../orchestration_stack_helper/textual_summary.rb  |  8 +++++
 app/views/orchestration_stack/_main.html.haml      |  1 +
 .../textual_summary_spec.rb                        | 35 ++++++++++++++++++++++
 3 files changed, 44 insertions(+)

Comment 6 Nandini Chandra 2015-11-12 23:50:46 UTC
Verified in 5.5.0.10

Comment 8 errata-xmlrpc 2015-12-08 13:39:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.